Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## performance
Class ReverseComplement

    java.lang.Object
      performance.ReverseComplement

    public class ReverseComplement

extends Object

Read DNA sequence and write their reverse complement. This is based on the benchmark provided at: http://shootout.alioth.debian.org/gp4/benchmark.php?test=revcomp&lang=all

Since:
  1.7
Author:
  Andy Yates, Andreas Prlic

Constructor Summary
`ReverseComplement()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReverseComplement

    public ReverseComplement()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD